package cz.muni.fi.pa165.catalog;

/**
 * Toto rozhrani reprezentuje objekt katalogu.
 *
 * @author  Petr Adamek <petr.adamek@bilysklep.cz>
 */
public interface CatalogObject {
    
    /**
     * Vrati oid (primarni klic) objektu.
     * @return oid objektu
     */
    public int getOid() throws CatalogException;
    
    /**
     * Vrati jmeno objektu
     * @return Jmeno objektu
     */
    public String getName() throws CatalogException;
    
    /**
     * Nastavi jmeno objektu
     * @param name Nove jmeno objektu
     * @throws CatalogException Pokud zmena jmena selze
     */
    public void setName(String name) throws CatalogException;
}
